<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('externaldata::externaldata.name') !!} <small> {!! trans('app.manage') !!} {!! trans('externaldata::externaldata.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('externaldata::externaldata.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='externaldata-externaldata-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('externaldata/externaldata')!!}">{!! trans('externaldata::externaldata.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('externaldata/externaldata?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('externaldata/externaldata?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('externaldata/externaldata/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('externaldata::admin.externaldata.partial.actions')
                    -->
                    @include('externaldata::admin.externaldata.partial.filter')
                    @include('externaldata::admin.externaldata.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="externaldata-externaldata-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="externaldata-externaldata-check-all"></th>
                        <th data-field="json_id">{!! trans('externaldata::externaldata.label.json_id')!!}</th>
                    <th data-field="type">{!! trans('externaldata::externaldata.label.type')!!}</th>
                    <th data-field="travel_type">{!! trans('externaldata::externaldata.label.travel_type')!!}</th>
                    <th data-field="is_converted">{!! trans('externaldata::externaldata.label.is_converted')!!}</th>
                    <th data-field="title">{!! trans('externaldata::externaldata.label.title')!!}</th>
                    <th data-field="nr">{!! trans('externaldata::externaldata.label.nr')!!}</th>
                    <th data-field="meta_source">{!! trans('externaldata::externaldata.label.meta_source')!!}</th>
                    <th data-field="request_code">{!! trans('externaldata::externaldata.label.request_code')!!}</th>
                    <th data-field="ship_name">{!! trans('externaldata::externaldata.label.ship_name')!!}</th>
                    <th data-field="length">{!! trans('externaldata::externaldata.label.length')!!}</th>
                    <th data-field="style">{!! trans('externaldata::externaldata.label.style')!!}</th>
                    <th data-field="style_name">{!! trans('externaldata::externaldata.label.style_name')!!}</th>
                    <th data-field="start_loc">{!! trans('externaldata::externaldata.label.start_loc')!!}</th>
                    <th data-field="page_url">{!! trans('externaldata::externaldata.label.page_url')!!}</th>
                    <th data-field="trip_kind_description">{!! trans('externaldata::externaldata.label.trip_kind_description')!!}</th>
                    <th data-field="trip_days">{!! trans('externaldata::externaldata.label.trip_days')!!}</th>
                    <th data-field="description">{!! trans('externaldata::externaldata.label.description')!!}</th>
                    <th data-field="teaser_text">{!! trans('externaldata::externaldata.label.teaser_text')!!}</th>
                    <th data-field="average_pax">{!! trans('externaldata::externaldata.label.average_pax')!!}</th>
                    <th data-field="base_price">{!! trans('externaldata::externaldata.label.base_price')!!}</th>
                    <th data-field="baseprice_wo_flight">{!! trans('externaldata::externaldata.label.baseprice_wo_flight')!!}</th>
                    <th data-field="extra_styles">{!! trans('externaldata::externaldata.label.extra_styles')!!}</th>
                    <th data-field="highlights">{!! trans('externaldata::externaldata.label.highlights')!!}</th>
                    <th data-field="countries">{!! trans('externaldata::externaldata.label.countries')!!}</th>
                    <th data-field="meta_countries">{!! trans('externaldata::externaldata.label.meta_countries')!!}</th>
                    <th data-field="dates_title">{!! trans('externaldata::externaldata.label.dates_title')!!}</th>
                    <th data-field="date_remark">{!! trans('externaldata::externaldata.label.date_remark')!!}</th>
                    <th data-field="dates">{!! trans('externaldata::externaldata.label.dates')!!}</th>
                    <th data-field="participants">{!! trans('externaldata::externaldata.label.participants')!!}</th>
                    <th data-field="features">{!! trans('externaldata::externaldata.label.features')!!}</th>
                    <th data-field="images">{!! trans('externaldata::externaldata.label.images')!!}</th>
                    <th data-field="location_img">{!! trans('externaldata::externaldata.label.location_img')!!}</th>
                    <th data-field="flag">{!! trans('externaldata::externaldata.label.flag')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#externaldata-externaldata-entry', '{!!guard_url('externaldata/externaldata/0')!!}');
    oTable = $('#externaldata-externaldata-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('externaldata/externaldata') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'json_id'},
            {data :'type'},
            {data :'travel_type'},
            {data :'is_converted'},
            {data :'title'},
            {data :'nr'},
            {data :'meta_source'},
            {data :'request_code'},
            {data :'ship_name'},
            {data :'length'},
            {data :'style'},
            {data :'style_name'},
            {data :'start_loc'},
            {data :'page_url'},
            {data :'trip_kind_description'},
            {data :'trip_days'},
            {data :'description'},
            {data :'teaser_text'},
            {data :'average_pax'},
            {data :'base_price'},
            {data :'baseprice_wo_flight'},
            {data :'extra_styles'},
            {data :'highlights'},
            {data :'countries'},
            {data :'meta_countries'},
            {data :'dates_title'},
            {data :'date_remark'},
            {data :'dates'},
            {data :'participants'},
            {data :'features'},
            {data :'images'},
            {data :'location_img'},
            {data :'flag'},
        ],
        "pageLength": 25
    });

    $('#externaldata-externaldata-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#externaldata-externaldata-list').DataTable().row( this ).data();
        $('#externaldata-externaldata-entry').load('{!!guard_url('externaldata/externaldata')!!}' + '/' + d.id);
    });

    $('#externaldata-externaldata-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#externaldata-externaldata-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#externaldata-externaldata-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#externaldata-externaldata-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>