<?php

namespace Btravel\Externaldata\Repositories\Eloquent;

use Btravel\Externaldata\Interfaces\ExternaldataRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ExternaldataRepository extends BaseRepository implements ExternaldataRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.externaldata.externaldata.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.externaldata.externaldata.model.model');
    }
}
