<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'externaldata',

    /*
     * Modules.
     */
    'modules'   => ['externaldata'],

    
    'externaldata'       => [
        'model' => [
            'model'                 => \Btravel\Externaldata\Models\Externaldata::class,
            'table'                 => 'externaldatas',
            'presenter'             => \Btravel\Externaldata\Repositories\Presenter\ExternaldataPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'json_id',  'type',  'travel_type',  'status',  'is_converted',  'title',  'nr',  'meta_source',  'request_code',  'ship_name',  'length',  'style',  'style_name',  'start_loc',  'page_url',  'trip_kind_description',  'trip_days',  'description',  'teaser_text',  'average_pax',  'base_price',  'baseprice_wo_flight',  'extra_styles',  'highlights',  'countries',  'meta_countries',  'dates_title',  'date_remark',  'dates',  'participants',  'features',  'images',  'location_img',  'json',  'slug',  'flag',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externaldata/externaldata',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externaldata',
            'module'    => 'Externaldata',
        ],

    ],
];
