<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for externaldata in externaldata package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  externaldata module in externaldata package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Externaldata',
    'names'         => 'Externaldatas',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Externaldatas',
        'sub'   => 'Externaldatas',
        'list'  => 'List of externaldatas',
        'edit'  => 'Edit externaldata',
        'create'    => 'Create new externaldata'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'travel_type'         => ['roundtrips','cruises','combo'],
            'status'              => ['Active','Inactive','Deleted'],
            'flag'                => ['show','hide','enable'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'json_id'                    => 'Please enter json id',
        'type'                       => 'Please enter type',
        'travel_type'                => 'Please select travel type',
        'status'                     => 'Please select status',
        'is_converted'               => 'Please enter is converted',
        'title'                      => 'Please enter title',
        'nr'                         => 'Please enter nr',
        'meta_source'                => 'Please enter meta source',
        'request_code'               => 'Please enter request code',
        'ship_name'                  => 'Please enter ship name',
        'length'                     => 'Please enter length',
        'style'                      => 'Please enter style',
        'style_name'                 => 'Please enter style name',
        'start_loc'                  => 'Please enter start loc',
        'page_url'                   => 'Please enter page url',
        'trip_kind_description'        => 'Please enter trip kind description',
        'trip_days'                  => 'Please enter trip days',
        'description'                => 'Please enter description',
        'teaser_text'                => 'Please enter teaser text',
        'average_pax'                => 'Please enter average pax',
        'base_price'                 => 'Please enter base price',
        'baseprice_wo_flight'        => 'Please enter baseprice wo flight',
        'extra_styles'               => 'Please enter extra styles',
        'highlights'                 => 'Please enter highlights',
        'countries'                  => 'Please enter countries',
        'meta_countries'             => 'Please enter meta countries',
        'dates_title'                => 'Please enter dates title',
        'date_remark'                => 'Please enter date remark',
        'dates'                      => 'Please enter dates',
        'participants'               => 'Please enter participants',
        'features'                   => 'Please enter features',
        'images'                     => 'Please enter images',
        'location_img'               => 'Please enter location img',
        'json'                       => 'Please enter json',
        'slug'                       => 'Please enter slug',
        'flag'                       => 'Please select flag',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'json_id'                    => 'Json id',
        'type'                       => 'Type',
        'travel_type'                => 'Travel type',
        'status'                     => 'Status',
        'is_converted'               => 'Is converted',
        'title'                      => 'Title',
        'nr'                         => 'Nr',
        'meta_source'                => 'Meta source',
        'request_code'               => 'Request code',
        'ship_name'                  => 'Ship name',
        'length'                     => 'Length',
        'style'                      => 'Style',
        'style_name'                 => 'Style name',
        'start_loc'                  => 'Start loc',
        'page_url'                   => 'Page url',
        'trip_kind_description'        => 'Trip kind description',
        'trip_days'                  => 'Trip days',
        'description'                => 'Description',
        'teaser_text'                => 'Teaser text',
        'average_pax'                => 'Average pax',
        'base_price'                 => 'Base price',
        'baseprice_wo_flight'        => 'Baseprice wo flight',
        'extra_styles'               => 'Extra styles',
        'highlights'                 => 'Highlights',
        'countries'                  => 'Countries',
        'meta_countries'             => 'Meta countries',
        'dates_title'                => 'Dates title',
        'date_remark'                => 'Date remark',
        'dates'                      => 'Dates',
        'participants'               => 'Participants',
        'features'                   => 'Features',
        'images'                     => 'Images',
        'location_img'               => 'Location img',
        'json'                       => 'Json',
        'slug'                       => 'Slug',
        'flag'                       => 'Flag',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'json_id'                    => ['name' => 'Json id', 'data-column' => 1, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 2, 'checked'],
        'travel_type'                => ['name' => 'Travel type', 'data-column' => 3, 'checked'],
        'is_converted'               => ['name' => 'Is converted', 'data-column' => 4, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 5, 'checked'],
        'nr'                         => ['name' => 'Nr', 'data-column' => 6, 'checked'],
        'meta_source'                => ['name' => 'Meta source', 'data-column' => 7, 'checked'],
        'request_code'               => ['name' => 'Request code', 'data-column' => 8, 'checked'],
        'ship_name'                  => ['name' => 'Ship name', 'data-column' => 9, 'checked'],
        'length'                     => ['name' => 'Length', 'data-column' => 10, 'checked'],
        'style'                      => ['name' => 'Style', 'data-column' => 11, 'checked'],
        'style_name'                 => ['name' => 'Style name', 'data-column' => 12, 'checked'],
        'start_loc'                  => ['name' => 'Start loc', 'data-column' => 13, 'checked'],
        'page_url'                   => ['name' => 'Page url', 'data-column' => 14, 'checked'],
        'trip_kind_description'        => ['name' => 'Trip kind description', 'data-column' => 15, 'checked'],
        'trip_days'                  => ['name' => 'Trip days', 'data-column' => 16, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 17, 'checked'],
        'teaser_text'                => ['name' => 'Teaser text', 'data-column' => 18, 'checked'],
        'average_pax'                => ['name' => 'Average pax', 'data-column' => 19, 'checked'],
        'base_price'                 => ['name' => 'Base price', 'data-column' => 20, 'checked'],
        'baseprice_wo_flight'        => ['name' => 'Baseprice wo flight', 'data-column' => 21, 'checked'],
        'extra_styles'               => ['name' => 'Extra styles', 'data-column' => 22, 'checked'],
        'highlights'                 => ['name' => 'Highlights', 'data-column' => 23, 'checked'],
        'countries'                  => ['name' => 'Countries', 'data-column' => 24, 'checked'],
        'meta_countries'             => ['name' => 'Meta countries', 'data-column' => 25, 'checked'],
        'dates_title'                => ['name' => 'Dates title', 'data-column' => 26, 'checked'],
        'date_remark'                => ['name' => 'Date remark', 'data-column' => 27, 'checked'],
        'dates'                      => ['name' => 'Dates', 'data-column' => 28, 'checked'],
        'participants'               => ['name' => 'Participants', 'data-column' => 29, 'checked'],
        'features'                   => ['name' => 'Features', 'data-column' => 30, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 31, 'checked'],
        'location_img'               => ['name' => 'Location img', 'data-column' => 32, 'checked'],
        'flag'                       => ['name' => 'Flag', 'data-column' => 33, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Externaldatas',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
