<div class="btn-group externaldata-externaldata">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[json_id]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.json_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[json_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[type]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[travel_type]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.travel_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[travel_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[is_converted]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.is_converted')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[is_converted]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[title]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[nr]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.nr')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[nr]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_source]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.meta_source')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_source]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[request_code]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.request_code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[request_code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ship_name]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.ship_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ship_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[length]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.length')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[length]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[style]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.style')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[style]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[style_name]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.style_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[style_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[start_loc]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.start_loc')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[start_loc]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[page_url]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.page_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[page_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[trip_kind_description]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.trip_kind_description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[trip_kind_description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[trip_days]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.trip_days')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[trip_days]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[description]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[teaser_text]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.teaser_text')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[teaser_text]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[average_pax]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.average_pax')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[average_pax]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[base_price]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.base_price')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[base_price]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[baseprice_wo_flight]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.baseprice_wo_flight')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[baseprice_wo_flight]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[extra_styles]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.extra_styles')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[extra_styles]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[highlights]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.highlights')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[highlights]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[countries]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.countries')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[countries]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_countries]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.meta_countries')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_countries]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[dates_title]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.dates_title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[dates_title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[date_remark]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.date_remark')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[date_remark]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[dates]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.dates')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[dates]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[participants]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.participants')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[participants]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[features]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.features')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[features]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[images]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.images')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[images]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[location_img]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.location_img')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[location_img]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[flag]" class="col-sm-2 control-label">
                                        {!! trans('externaldata::externaldata.label.flag')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[flag]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".externaldata-externaldata .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/externaldata.externaldata.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".externaldata-externaldata .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.externaldata-externaldata .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'externaldata.externaldata.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#externaldata-externaldata-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#externaldata-externaldata-list .btn-reset-filter').css('display', 'none');

    });

});
</script>